> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-authenticationmanager.md).

# medcrypt::guardian::AuthenticationManager

Conteneur pour les restrictions d’authentification.

`#include <AuthenticationManager.h>`

## Fonctions publiques

<table data-header-hidden><thead><tr><th>Nom</th><th>Description</th><th data-hidden></th></tr></thead><tbody><tr><td>Nom</td><td></td><td></td></tr><tr><td><a href="#function-~authenticationmanager"><strong>~AuthenticationManager</strong></a>()</td><td>Il s’agit du destructeur.</td><td></td></tr><tr><td><a href="#function-getrestrictions"><strong>GetRestrictions</strong></a>(std::list&#x3C; <a href="/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-authenticationdomain.md">AuthenticationDomain</a> > * out_restrictions_by_domain)</td><td>Cette fonction récupère toutes les restrictions.</td><td><a href="/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status">État</a></td></tr><tr><td><a href="#function-getrestrictionbyservice"><strong>GetRestrictionByService</strong></a>(const char <em>in_service_name,</em> <a href="/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-authenticationdomain.md"><em>AuthenticationDomain</em></a> out_restriction)</td><td>Cette fonction récupère toutes les restrictions par service.</td><td><a href="/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status">État</a></td></tr></tbody></table>

### fonction \~AuthenticationManager

```cpp
~AuthenticationManager()
```

Le destructeur.

**Paramètres**:

* **aucun**

**Valeur de retour**: none

Le destructeur n’effectue aucune opération.

### fonction GetRestrictions

```cpp
Status GetRestrictions(
    std::list< AuthenticationDomain > * out_restrictions_by_domain
)
```

Récupérer toutes les restrictions.

**Paramètres**:

* **out\_restrictions\_by\_domain** liste des domaines et de leurs restrictions,

**Renvoie**:

* **OK** out\_restrictions\_by\_domain est renseigné avec les restrictions
* **FAIL** échec général, out\_restrictions\_by\_domain n’est pas modifié
* **BADPARAM** out\_restrictions\_by\_domain est nullptr

**Retour**: [medcrypt::guardian::Status](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status)

Renvoie une liste de toutes les AuthenticationRestrictions du système.

### fonction GetRestrictionByService

```cpp
Status GetRestrictionByService(
    const char * in_service_name,
    AuthenticationDomain * out_restriction
)
```

Récupérer les restrictions par service.

**Paramètres**:

* **in\_service\_name** chaîne terminée par un caractère nul contenant le nom du service
* **out\_restriction** ensemble de restrictions pour in\_service\_name

**Renvoie**:

* **OK** out\_restriction est renseigné avec les restrictions pour in\_service\_name
* **FAIL** échec général, out\_restriction n’est pas modifié
* **BADPARAM** in\_service\_name est nullptr ou vide, ou out\_restriction est nullptr
* **MISCONFIGURED** in\_service\_name est introuvable ou n’est pas configuré pour partager des restrictions

**Retour**: [medcrypt::guardian::Status](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status)

Renvoie une seule AuthenticationRestriction pour le nom de service spécifié

## Débogage et journalisation

Guardian ne crée pas de fichiers journaux. La journalisation est plutôt contrôlée par l’application :

* Guardian écrit les journaux dans `stdout` et `stderr`, qui s’affichent dans le terminal/la CLI de l’application en cours d’exécution. Recherchez dans la sortie les codes d’erreur spécifiques ou les échecs de connexion.
* **Journalisation personnalisée :** Utilisez `SetLoggingCallback` pour rediriger les messages de journalisation vers une fonction de rappel, interrompre leur affichage dans le terminal et permettre un traitement personnalisé des journaux
* **Contrôle de la journalisation :** Les applications peuvent contrôler le niveau et le degré de détail de la journalisation.
* **Interface utilisateur de Guardian Cloud**: Consultez l’interface Guardian Cloud pour obtenir des détails supplémentaires sur les erreurs et connaître l’état du provisionnement.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-authenticationmanager.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
